Subject: bug#59498: 29.0.50; c++-ts-mode get wrong-type-argument error when enabled

From: Yuan Fu <[email-masked]>
Date: Tue, 20 Dec 2022 16:37:34 -0800

> On Dec 20, 2022, at 7:18 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Yuan Fu <[email-masked]>
>> Date: Mon, 19 Dec 2022 17:56:17 -0800
>> Cc: Randy Taylor <[email-masked]>,
>> [email-masked],
>> [email-masked],
>> [email-masked],
>> [email-masked],
>> [email-masked]
>> 
>>> +\(n-p-gp NODE-TYPE PARENT-TYPE GRANDPARENT-TYPE)
>>> +
>>> +    Checks that NODE, its parent, and its grandparent's type.
>>> 
>>> Check that what?
>> 
>> I fixed that, the change will be pushed later with other changes.
>> 
>> Yuan [who can’t write errorless sentences with less than 10 reviews]
> 
> Thanks.  And you have absolutely nothing to be ashamed of.  It is a
> known fact that finding such blunders in text written by someone else
> is much easier than in text written by yourself.

Thanks, I feel better now :-) I’ll strive to blunder as little as possible :-)

Yuan